Get batch job results
curl --request GET \
--url https://api.pictify.io/templates/batch/{batchId}/results \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.pictify.io/templates/batch/{batchId}/results', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.pictify.io/templates/batch/{batchId}/results"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.pictify.io/templates/batch/{batchId}/results"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}require 'uri'
require 'net/http'
url = URI("https://api.pictify.io/templates/batch/{batchId}/results")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"batchId": "<string>",
"progress": 50,
"totalItems": 123,
"completedItems": 123,
"failedItems": 123,
"results": [
{
"index": 123,
"success": true,
"variables": [
"<string>"
],
"results": [
{
"layout": "twitter-post",
"name": "Twitter/X Post",
"url": "<string>",
"width": 123,
"height": 123,
"format": "png",
"id": "<string>"
}
],
"errors": [
{
"layout": "<string>",
"error": "<string>"
}
]
}
],
"createdAt": "2023-11-07T05:31:56Z",
"startedAt": "2023-11-07T05:31:56Z",
"completedAt": "2023-11-07T05:31:56Z"
}Batch
Get Batch Results
GET
/
templates
/
batch
/
{batchId}
/
results
Get batch job results
curl --request GET \
--url https://api.pictify.io/templates/batch/{batchId}/results \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.pictify.io/templates/batch/{batchId}/results', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.pictify.io/templates/batch/{batchId}/results"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.pictify.io/templates/batch/{batchId}/results"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}require 'uri'
require 'net/http'
url = URI("https://api.pictify.io/templates/batch/{batchId}/results")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"batchId": "<string>",
"progress": 50,
"totalItems": 123,
"completedItems": 123,
"failedItems": 123,
"results": [
{
"index": 123,
"success": true,
"variables": [
"<string>"
],
"results": [
{
"layout": "twitter-post",
"name": "Twitter/X Post",
"url": "<string>",
"width": 123,
"height": 123,
"format": "png",
"id": "<string>"
}
],
"errors": [
{
"layout": "<string>",
"error": "<string>"
}
]
}
],
"createdAt": "2023-11-07T05:31:56Z",
"startedAt": "2023-11-07T05:31:56Z",
"completedAt": "2023-11-07T05:31:56Z"
}Authorizations
API key obtained from the Pictify dashboard
Path Parameters
Response
200 - application/json
Batch job status and results
Available options:
pending, processing, completed, failed, partial, cancelled Required range:
0 <= x <= 100Show child attributes
Show child attributes
⌘I